Add a New Agent
Add a new Agent to Account
AuthorizationBearer <token>Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.
account_id*integerThe numeric ID of the account
application/json- body
name*stringFull Name of the agent
email*stringEmail of the Agent
role*stringWhether its administrator or agent
"agent""administrator"availability?stringThe configured availability of the agent.
"online""busy""offline"auto_offline?booleanWhether the agent is automatically marked offline when they are away.
Success
application/json- response
id?integeraccount_id?integeravailability_status?stringThe effective availability status of the agent, derived from the configured availability, auto-offline setting, and current presence. To update an agent's configured availability, use the availability field in create or update requests.
"online""busy""offline"auto_offline?booleanWhether the agent is automatically marked offline when they are away.
confirmed?booleanWhether the agent has confirmed their email address.
email?stringThe email of the agent
available_name?stringThe available name of the agent
name?stringThe name of the agent
role?stringThe role of the agent
"agent""administrator"thumbnail?stringThe thumbnail of the agent
custom_role_id?|The custom role id of the agent
curl -X POST 'https://helpdesk.inclamo.com/api/v1/accounts/0/agents' \ -H 'Content-Type: application/json' \ -d '{ "name": "string", "email": "string", "role": "agent"}'{ "id": 0, "account_id": 0, "availability_status": "online", "auto_offline": true, "confirmed": true, "email": "string", "available_name": "string", "name": "string", "role": "agent", "thumbnail": "string", "custom_role_id": 0}